onEvent("recipes", event => {
  event.remove({output: 'appliedenergistics2:inscriber'})
  event.shaped(Item.of('appliedenergistics2:inscriber'), [
    'IPI',
    'CAI',
    'IPI' 
  ], {
    I: 'minecraft:iron_ingot',
    P: 'minecraft:sticky_piston',
    C: 'appliedenergistics2:purified_fluix_crystal',
    A: 'mekanism:alloy_atomic'
  })
  
  createPress = (press, block) => {
    event.recipes.thermal.smelter(press, [block, 'minecraft:blaze_powder'])
  }

  createPress('appliedenergistics2:calculation_processor_press', 'minecraft:iron_block')
  createPress('appliedenergistics2:engineering_processor_press', 'minecraft:quartz_block')
  createPress('appliedenergistics2:logic_processor_press', 'mekanism:block_steel')
  createPress('appliedenergistics2:silicon_press', 'pneumaticcraft:compressed_iron_block')

})